Bug 620710 - Fixed message in task status
Summary: Fixed message in task status
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm   
(Show other bugs)
Version: 6.1
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Saggi Mizrahi
QA Contact: Jakub Libosvar
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-03 10:13 UTC by Saggi Mizrahi
Modified: 2015-03-02 05:22 UTC (History)
6 users (show)

Fixed In Version: vdsm-4.9-14.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-19 15:27:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Saggi Mizrahi 2010-08-03 10:13:53 UTC
Description of problem:
Whenever a task fails the message always says "Unknown error".

Version-Release number of selected component (if applicable):


How reproducible:
Very!

Steps to Reproduce:

!!!MAKE SURE RHEV-M IS NOT RUNNING. IT CLEARS THE TASKS AS SOON AS THEY FINISH!!!

1.Start a task
2.Fail it
3.run "vdsClient (-s) <server|0> getAllTasksStatuses"
4.check if the message says something more informative then "Unknown error"

Comment 1 Jakub Libosvar 2010-09-23 16:32:26 UTC
Tested on lack of space on disk while allocating virtual disk for VM. Task status was: 'message': 'Cannot zero out volume', 'code': 374, 'taskID': '72e25bab-a0a8-4272-8940-7dd6210748ca', 'taskResult': 'cleanSuccess', 'taskState': 'finished'


Note You need to log in before you can comment on or make changes to this bug.